Skip to main content
  • Place orders quickly and easily
  • View orders and track your shipping status
  • Enjoy members-only rewards and discounts
  • Create and access a list of your products
  • Manage your Dell EMC sites, products, and product-level contacts using Company Administration.

Dell Storage: Klargøring af VMware ESXi-værter til at vedhæfte SCv20x0-, SCv30x0-, SC4020-, SC5020 SAS-systemer

Summary: Følg disse instruktioner for at forberede din WMware-ESXi til at blive knyttet til SAS-systemer

This article may have been automatically translated. If you have any feedback regarding its quality, please let us know using the form at the bottom of this page.

Article Content


Instructions
Denne artikel indeholder oplysninger om:   
  • Klargøring af VMware ESXi-værter til at vedhæfte SCv20x0-, SCv30x0-, SC4020-, SC5020 SAS-systemer
  • Driver kompatibilitet med front end SAS forbindelse

  1. Klargøring af VMware ESXi-værter til at vedhæfte SCv20x0-, SCv30x0-, SC4020-, SC5020 SAS-systemer

Gennemgå KB artikel 000147092 Dell storage Compatibility matrix for den understøttede driver og firmware

  • ESXi 5.5 og 6.0 kræver driveren "mpt3sas" og skal downloades fra VMware-webstedet.
    • De Dell-tilpassede ESX 5.5- og 6.0-ISO'er indlæser IKKE automatisk den korrekte SAS HBA-driver. Driveren skal opdateres.
    • Hvis den originale indbakkedriver anvendes, vil HBA(er) ikke kunne se nogen diskenheder i ESX.
  • ESXi 6.5 kræver driveren "lsi_msgpt3", og indbakkedriveren kan anvendes. Men de forskellige ISO-afbildninger bruger som standard forskellige drivere.
    • Dell EMC anbefaler brug af den Dell-tilpassede ISO til VMware på Dell EMC PowerEdge-servere. ISO'en kan være placeret under afsnittet Enterprise Solutions på siden Drivere og downloads på Dells websted.
    • Den Dell-tilpassede ESX 6.5 ISO vil automatisk indlæse den korrekte SAS HBA-driver.
    • Hvis du bruger VMware ESX 6.5 standard-ISO'en, skal den korrekte SAS HBA-indbakkedriver være aktiveret.
Disse procedurer svarer til de trin, der beskrives i trin 4 på den SCv20x0-installationsplakat, som fulgte med systemet, eller kapitel 3 i vejledningen til implementering.
 
For at tilkoble en ESX-vært med SAS HBA'er til Storage Center-systemet skal DSM Data Collector anvendes.  Tilslutning af DSM-klienten direkte til systemet er ikke understøttet i øjeblikket.

Find ud af, hvilken driver der er aktiveret:  
  1. Aktivér SSH på ESXi-værten:
    1. Log på ESXi-værten med vSphere Client
    2. Vælg fanen "Konfiguration", og vælg derefter "Sikkerhedsprofil" i softwaremenuen.
    3. I området Tjenester skal du vælge "Egenskaber".
    4. Vælg "SSH", og klik derefter på knappen "Indstillinger".
    5. Klik på "Start", og bekræft med "OK".
  2. Opret forbindelse til ESXi-værten vha. SSH Client (f.eks. Putty).
  3. Find ud af, hvilken driver der kører. Dette kan gøres ved at skrive følgende kommando: "esxcfg-scsidevs-a"                                                       
HOW11081_en_US__1ESX_SAS_esxcfg-scsidevs-a
 
  1. Hvis du bruger en almindelig ESX 6.5 ISO-afbildning, kan du deaktivere driveren "mpt3sas" og aktivere driveren "lsi_msgpt3" med disse kommandoer:  
  • esxcfg-module -d mpt3sas
  • esxcfg-module -e lsi_msgpt3
  1. For ESX 5.5 og 6.0: Hvis du har den forkerte driver, skal du gå til trin 5a. Hvis du har den korrekte driver på listen, skal du gå til trin 5b.
    1. Deaktiver den forkerte driver ved at skrive en af de følgende kommandoer
  • esxcli system module set --enabled=false --module=lsi_msgpt3. Gå til trin 6
HOW11081_en_US__2ESX_SAS_esxcli_system_module_set (1)
  1. Kontroller, at driverversionen svarer til den i KB artikel 000147092 DELL-matrixen for lagringskompatibilitet: ved at skrive følgende kommando:
  • For mpt3sas-drivertypen skal du skrive "vmkload_mod -s mpt3sas |grep Version
HOW11081_en_US__3ESX_SAS_vmkload_mod
  Opdatering af driver:  
  1. Flyt alle VM'er væk fra værten, og åbn vedligeholdelsestilstanden.
  2. Download den korrekte driverversion som angivet i KB artikel 000147092 DELL-matrixen for lagringskompatibilitet: : (I skrivende stund er driverversionen 04.00.00.00.1vmw til ESX 5.5 U2). Driveren kan findes på VMware-webstedet.
  3. Udpak ".VIB"-filen fra den downloadede "ZIP"-driverpakke.
  4. Upload ".VIB"-filen til ESXi-værten.
    1. På ESXi-værtsgrænsefladen skal du vælge fanen "Konfiguration".
    2. Vælg "Lager" i menuen Konfiguration, og vælg derefter et datalager til upload af ".VIB"-filen. 
      (Hvis intet datalager er tilgængeligt, kan du bruge en hvilken som helst FTP-klient og uploade til mappen /tmp)
    3. Gennemse dit datalager (ved at højreklikke på det), "Gennemse datalager".
    4. Upload ".VIB"-filen ved at vælge ikonet "upload en fil".
  5. Installer ny driver (Juster din sti og filnavn i overensstemmelse hermed) ved at skrive følgende kommando: "esxcli software vib install-v/vmfs/volumes/esxi01-local/scsi-mpt3sas-04.00.00.00.1vmw-1OEM.500.0.0.472560.x86_64. vib"
HOW11081_en_US__4ESX_SAS_esxcli_software_vib
 
  1. Genstart VMware ESXi-værten.
  2. HBA'en/-erne vil nu have den korrekte driver indlæst og bør være i stand til at fungere korrekt med Storage Center. Du kan kontrollere dette ved at gentage trin 5b ovenfor.
HBA-firmwaren skal også opdateres via iDRAC.
  1. Driver kompatibilitet med front end SAS Connectivity2

I Dell EMC Storage Compatibility Matrix, testes/understøttes 6.5 VMWare ESXi-versionen med SAS frontend-tilslutning. SAS-driver "lsi-msgpt3" version 12 og Storage Center OS (SCOS) versioner 7.2.x og 7.3.x blev inkluderet i denne testede og understøttede løsning. Men opgraderinger til VMWare ESXi 6.5 U1, 6.5 U2 og 6.7 installerer automatisk opdaterede lsi-msgpt3 SAS-driver som f.eks. version 16.  Uden manuel indgriben for at konfigurere et modulparameter på driveren fungerer lsi-msgpt3-versioner, som er større end 12, ikke korrekt (f.eks. genstart af værten har LUN-kapacitet på 0 bytes, taber adgang til SAS Front End-enheder efter controller failover, sikkerhedskopi af PSOD-kerne) med ESXi-versioner ved hjælp af denne opdaterede driver og SCOS. Dette gælder især ESXi 6.5 og 6.7, men hvis denne nyere driver anvendes på ESXi 6.0 (som ikke er standarddriver), vil dette også være gældende.

Anbefalinger: 

Hvis du anvender SAS-tilslutning mellem Storage Center- og ESXi-værter, der anvender lsi-msgpt3-driveren (typisk ESXi 6.5+), er bedste praksis at ændre modulparameteret som beskrevet herunder for alle versioner af lsi-msgpt3 SAS-driver.  Dette er et krav for alle versioner, som er større end 12.  Denne opdaterede bedste praksis kan findes i Dell EMC SC Series Best Practices with VMware vSphere 5.x-6.x (Bedste praksis for Dell EMC SC-serien med VMware vSphere 5.x-6.x). Vær opmærksom på, at denne ændring kræver genstart af værten, før den kan træde i kraft.

Trin til at konfigurere modulparameteren på SAS-driveren 

  1. Angiv modulparameterværdierne
esxcli-systemmodulparameterliste -m lsi_msgpt3
 
SLN313031_en_US__1image (7172)
  1. Tilpas modulparameteren issue_scsi_cmd_to_bringup_drive
esxcli-systemmodulparametersæt -p issue_scsi_cmd_to_bringup_drive=0 -m lsi_msgpt3
  1. Bekræft, at modulparameterværdien er blevet ændret med listekommandoen i trin 1.
SLN313031_en_US__2image (7173)
  1. Genstart ESXi-værten, for at den ændrede værdi kan træde i kraft. 
 

Article Properties


Affected Product

Dell Compellent SC4020, Dell Storage SCv2000, Dell Storage SCv2020, Dell Storage SCv2080, Dell Storage SC5020

Product

Storage

Last Published Date

21 Feb 2021

Version

6

Article Type

How To